## com.trilead.ssh2.crypto.cipher
Class CTRMode

    java.lang.Object
      com.trilead.ssh2.crypto.cipher.CTRMode

All Implemented Interfaces:
  BlockCipher

    public class CTRMode

extends java.lang.Object
implements BlockCipher

This is CTR mode as described in draft-ietf-secsh-newmodes-XY.txt

Constructor Summary
`CTRMode(BlockCipher tc, byte[] iv, boolean doEnc)`

Method Summary
`int` `getBlockSize()`
`void` `init(boolean forEncryption, byte[] key)`
`void` `transformBlock(byte[] src, int srcoff, byte[] dst, int dstoff)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CTRMode

    public CTRMode(BlockCipher tc,
                   byte[] iv,
                   boolean doEnc)
            throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

Method Detail

### init

    public void init(boolean forEncryption,
                     byte[] key)

  Specified by:
    `init` in interface `BlockCipher`

### getBlockSize

    public final int getBlockSize()

  Specified by:
    `getBlockSize` in interface `BlockCipher`

### transformBlock

    public final void transformBlock(byte[] src,
                                     int srcoff,
                                     byte[] dst,
                                     int dstoff)

  Specified by:
    `transformBlock` in interface `BlockCipher`